v3.0
get
/ec-ors-svc/rest/v3.0/studies/{studyId}/{mode}/visits/subjectvisit
Use latest version instead. Retrieves a visit by its visit ID. Rights: OrsSubjectVisitGet.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
Query Parameters
-
externalSubjectId(required): string
Unique subject identifier (UUID, 32-character uppercase hexadecimal string) representing the patient/participant enrolled in the study.
-
visitId(required): string
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the visit
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : VisitResult
Type:
objectTitle:
VisitResultVisit result.
Show Source
-
countOfKitTypesOnDoseHold: integer
(int32)
Title:
Count Of Kit Types On Dose HoldNumber of kit types on dose hold.Example:1 -
forcedRandomized: boolean
Title:
Forced RandomizedIndicates whether the subject was forced randomized.Example:true -
kits: array
Kits
Title:
KitsContains information for the kit dispensation. -
needsToVisitPharmacist: boolean
Title:
Needs To Visit PharmacistIndicates whether the subject needs to visit an unblinded pharmacist for kit dispensation.Example:true -
pendingKitQuantity: integer
(int32)
Title:
Pending Kit QuantityNumber of kits pending dispensation.Example:1 -
randomNumber: string
Title:
Random NumberRandom number.Example:10 -
treatmentTitle: string
Title:
Treatment TitleTreatment title.Example:A -
visitTimestamp: string
(date-time)
Title:
Visit TimestampVisit timestamp.
Nested Schema : Kits
Type:
arrayTitle:
KitsContains information for the kit dispensation.
Show Source
-
Array of:
object DispensationKit v13.0
Title:
DispensationKit v13.0Contains information for the kit dispensation.
Nested Schema : DispensationKit v13.0
Type:
objectTitle:
DispensationKit v13.0Contains information for the kit dispensation.
Show Source
-
barcode: string
Barcode.Example:
1000 -
conserved: boolean
Title:
ConservedConserved for dispensation.Example:true -
consumeAcrossDoses: boolean
Title:
Consume Across DosesIndicates whether consumption across doses is allowed.Example:true -
deviceConnection: string
Title:
Device Connection TypeAllowed Values:[ "CloudtoCloud", "DevicetoCloud", "NoConnection" ]Device connection type.Example:DevicetoCloud -
deviceType: string
Title:
Device TypeAllowed Values:[ "ActivityWatch", "BloodPressureMonitor", "WeightScale", "ECGReader", "Spirometer", "MobileApp", "SmartPillBottle", "PulseOximeter", "WearablePatch", "Other", "GlucoseMonitor" ]Device type.Example:ActivityWatch -
dispensationConfirmed: boolean
Indicates whether dispensation is confirmed.Example:
true -
dose: number
(double)
Title:
DoseDose.Example:5 -
dosingInstruction: string
Title:
Dosing InstructionDosing instruction.Example:Take one capsule daily -
dosingUnblinded: boolean
Title:
Dosing UnblindedIndicates whether dosing is unblinded.Example:true -
frequency: string
Title:
FrequencyAllowed Values:[ "Once", "QD", "BID", "TID", "QID", "Q3", "Q4", "Q8", "Q12", "Q24", "Bedtime", "With meals", "With meals and at bedtime" ]Dosing frequency.Example:BID -
groupingNumber: integer
(int32)
Title:
Grouping NumberGrouping number for a kit.Example:1 -
id: number
(Integer)
Title:
Dispensation Kit IDUnique identifier of the dispensation kit.Example:2 -
inventoryId: string
Title:
Inventory IDInventory ID.Example:D313327EF13845169A8ADADDA435431E -
kitDescription: string
Title:
Kit DescriptionKit description.Example:Kit A -
kitNumberUTF: string
Title:
Kit Number UTFKit number with UTF-8 support.Example:A-1 -
locallySourced: boolean
Title:
Locally SourcedIndicates whether the kit is locally sourced.Example:true -
lotId: string
Title:
Lot IDLot ID.Example:D313327EF13845169A8ADADDA435431E -
lotNumber: string
Title:
Lot NumberLot number.Example:LOT20240605A -
measurement: string
Title:
MeasurementDose Measurement.Example:ml -
quantity: number
(BigDecimal)
Title:
QuantityKit quantity.Example:5 -
titrationKitLabel: string
Title:
Blinded Titration LabelBlinded titration label.Example:High dose -
titrationOption: string
Title:
Titration OptionAllowed Values:[ "up", "down", "maintain" ]Titration options to dispense kits. For example: up/down/maintain.Example:up -
trialSupplyType: string
Title:
Trial Supply TypeType of the trial supply.Example:BOTTLE
400 Response
Invalid subject
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object404 Response
Invalid study ID or version. Or visit for subject does not exist
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object